import * as i1 from 'tableau-ui-angular/snack';
import { SnackService } from 'tableau-ui-angular/snack';
import * as i0 from '@angular/core';

declare class ClipboardService {
    snackService: SnackService;
    writeText(text: string, handlePermissionError?: boolean): Promise<void>;
    readText(handlePermissionError?: boolean): Promise<string>;
    private getError;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClipboardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ClipboardService>;
}

declare class TableauUiClipboardModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiClipboardModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiClipboardModule, never, [typeof i1.TableauUiSnackModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiClipboardModule>;
}

export { ClipboardService, TableauUiClipboardModule };
