import * as i0 from '@angular/core';
import { OnDestroy, ElementRef } from '@angular/core';

declare function generateRandomString(length?: number): string;

declare class ResizeWatcherDirective implements OnDestroy {
    readonly element: ElementRef<HTMLElement>;
    private readonly observer;
    readonly resized: i0.OutputEmitterRef<{
        currentElement: ElementRef;
        entries: ResizeObserverEntry[];
    }>;
    constructor();
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizeWatcherDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ResizeWatcherDirective, "[resizeWatcher]", never, {}, { "resized": "resized"; }, never, never, false, never>;
}

declare class TableauUiUtilsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiUtilsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiUtilsModule, [typeof ResizeWatcherDirective], never, [typeof ResizeWatcherDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiUtilsModule>;
}

export { ResizeWatcherDirective, TableauUiUtilsModule, generateRandomString };
