import * as i0 from '@angular/core';
import { InputSignal } from '@angular/core';
import * as i2 from '@angular/common';

declare class IconComponent {
    readonly $value: InputSignal<string | undefined>;
    readonly $color: InputSignal<'error' | 'none' | 'primary' | 'success' | null | undefined>;
    readonly $type: InputSignal<"Material Symbols Outlined" | "Material Symbols Rounded" | "Material Symbols Sharp">;
    readonly $fill: InputSignal<boolean>;
    readonly $weight: InputSignal<100 | 200 | 300 | 400 | 500 | 600 | 700>;
    readonly $grade: InputSignal<0 | 200 | -25>;
    readonly $opticalSizePx: InputSignal<20 | 24 | 40 | 48>;
    private readonly $fontVariationSettings;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "tab-icon", never, { "$value": { "alias": "value"; "required": false; "isSignal": true; }; "$color": { "alias": "color"; "required": false; "isSignal": true; }; "$type": { "alias": "type"; "required": false; "isSignal": true; }; "$fill": { "alias": "fill"; "required": false; "isSignal": true; }; "$weight": { "alias": "weight"; "required": false; "isSignal": true; }; "$grade": { "alias": "grade"; "required": false; "isSignal": true; }; "$opticalSizePx": { "alias": "opticalSizePx"; "required": false; "isSignal": true; }; }, {}, never, never, false, never>;
}

declare class TableauUiIconModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TableauUiIconModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TableauUiIconModule, [typeof IconComponent], [typeof i2.CommonModule], [typeof IconComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TableauUiIconModule>;
}

export { IconComponent, TableauUiIconModule };
